<%= javascript_include_tag "decidim/slug_form" %>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t(".title") %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.translated :text_field, :title, autofocus: true %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :subtitle %>
    </div>

    <div class="row">
      <div class="columns xlarge-6 slug">
        <%= form.text_field :slug %>
        <p class="help-text">
          <%== t(".slug_help", url: decidim_form_slug_url(:processes, form.object.slug)) %>
        </p>
      </div>

      <div class="columns xlarge-6">
        <%= form.text_field :hashtag %>
      </div>
    </div>

    <div class="row column">
      <%= form.translated :editor, :short_description %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :description, toolbar: :image, lines: 25 %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :announcement %>
      <p class="help-text"><%== t(".announcement_help") %></p>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".duration") %></h2>
  </div>

  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.date_field :start_date %>
      </div>

      <div class="columns xlarge-6">
        <%= form.date_field :end_date %>
      </div>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".images") %></h2>
  </div>

  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.upload :hero_image %>
      </div>

      <div class="columns xlarge-6">
        <%= form.upload :banner_image %>
      </div>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".metadata") %></h2>
  </div>

  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.translated :text_field, :developer_group %>
      </div>

      <div class="columns xlarge-6">
        <%= form.translated :text_field, :local_area %>
      </div>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :meta_scope %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :target %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :participatory_scope %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :participatory_structure %>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".filters") %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.check_box :scopes_enabled %>
    </div>

    <div class="row column">
      <%= scopes_picker_field form, :scope_id, root: nil %>
    </div>

    <div class="row column">
      <%= form.areas_select :area_id,
                            areas_for_select(current_organization),
                            selected: current_participatory_process.try(:decidim_area_id),
                            include_blank: t(".select_an_area") %>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".visbility") %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <% if process_groups_for_select %>
        <%= form.select :participatory_process_group_id,
                        process_groups_for_select,
                        include_blank: t(".select_process_group") %>
      <% end %>
    </div>

    <div class="row column">
      <%= form.check_box :private_space %>
    </div>
        <div class="row column">
      <%= form.check_box :promoted %>
    </div>
  </div>

  <div class="card-divider">
    <h2 class="card-title"><%= t(".other") %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.check_box :show_statistics %>
    </div>
  </div>
</div>

<%= javascript_include_tag "decidim/participatory_processes/admin/participatory_processes" %>
